import unittest
import manage_sys_paths
from db.entities.layer_adapter import LayerAdapter


class Test_Layer_Adapter(unittest.TestCase):
    def test_LayerAdapter_newLayerAdapterObj_validInstantiation(self):
        adapter1 = LayerAdapter("layer1", "use_case", "table", ["a", "c"], ["a"])
        print(adapter1.to_serializable_dict)


if __name__ == '__main__':
    unittest.main()
